﻿/*#region #scrollbar*/
/*html::-webkit-scrollbar {width: 3px;height: 3px}
html::-webkit-scrollbar-track {background: rgb(111,111,111);}
html::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}
div::-webkit-scrollbar {width: 3px;height: 3px}
div::-webkit-scrollbar-track {background: rgb(111,111,111);}
div::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}
textarea::-webkit-scrollbar {width: 3px;height: 3px}
textarea::-webkit-scrollbar-track {background: rgb(111,111,111);}
textarea::-webkit-scrollbar-thumb {width: 15px;background: var(--primary);}*/
/*#endregion*/
.staff-list {
    padding: 5px;
    width: 100%;
    position: relative;
    //top
    .section-top {
        position: relative;

        button {
            width: 10%;
        }
    }
    //search
    .search-container {
        margin: 0;
        margin-top: 10px;
        padding: 0;

        input {
            width: calc(100% - 10px);
            margin-right: 10px;
            border: 1px solid #e5e5e7;
            border-radius: 8px;
            padding: 5px 30px 5px 10px;
            position: relative;

            &:focus {
                outline: 0;
                outline-style: none;
                outline-width: 0;
            }
        }

        a {
            position: absolute;
            background-color: var(--white);
            border: 0;
            right: 15px;
            width: 20px;
            top: 6px;
        }
    }
    //end-search
    //end-top
    .section-body {
        width: calc(100% - 135px);
        margin-left: 135px;
        white-space: nowrap;
        overflow-x: auto;

        .item-staff {
            display: inline-block;
            padding: 5px 10px;
            margin: 0 5px;
            border-radius: 3px;
            /*background-color: var(--white);*/
            -webkit-transition: background-color 0.4s;
            transition: background-color 0.4s;
            /*img {
                width: 45px;
                height: 45px;
                border-radius: 50%;
            }*/
            .ava {
                display: inline-block;
                width: 32px;
                height: 32px;
                background-color: var(--primary);
                color: #fff;
                font-weight: bold;
                text-align: center;
                line-height: 32px;
                border-radius: 50%;
                font-size: 16px;
                text-transform: uppercase;
            }

            .des {
                display: inline-block;
                padding-left: 5px;
                font-weight: 500;
                font-size: 14px;
                color: var(--gray);
            }

            &:hover,
            &.active {
                background-color: var(--primary);

                .ava {
                    background-color: #fff;
                    color: var(--primary);
                }

                .des {
                    color: var(--white);
                }
            }

            &:first-child {
                margin-top: 0;
            }

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    .section-bot {
        position: absolute;
        left: 0;
        top: 0;

        .default-staff {
            padding: 5px 10px;
            margin: 5px 0 0 5px;
            border-radius: 3px;
            background-color: var(--white);

            a {
                i {
                    color: var(--white);
                    font-size: 18px;
                    line-height: 32px;
                    text-align: center;
                    width: 32px;
                    height: 32px;
                    background-color: var(--primary);
                    border-radius: 50%;
                }

                .des {
                    padding-left: 5px;
                    font-weight: 500;
                    font-size: 14px;
                    color: var(--gray);
                }
            }

            &:hover,
            &.active {
                background-color: var(--primary);

                a {
                    i {
                        color: var(--primary);
                        background-color: var(--white);
                    }

                    .des {
                        color: var(--white);
                    }
                }
            }
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1366px) {
    /*#region #sad*/

    /*#endregion*/
}

@media screen and (max-width: 1024px) {
    /*#region #sad*/

    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
    /*#region #sad*/
    /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
